Package org.eclipse.mat.ui.snapshot.panes.oql.contentAssist

## Class ContentAssistElement

- java.lang.Object
- - org.eclipse.mat.ui.snapshot.panes.oql.contentAssist.ContentAssistElement

All Implemented Interfaces:
  `java.lang.Comparable<ContentAssistElement>`

    public class ContentAssistElement
    extends java.lang.Object
    implements java.lang.Comparable<ContentAssistElement>

Javabean to temporarily store classnames for the content assistant in an ordered structure.

### Constructor Summary

Constructors
`ContentAssistElement​(java.lang.String className, Image image)`
`ContentAssistElement​(java.lang.String className, Image image, java.lang.String display)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo​(ContentAssistElement o)` Uses String compare method.
`boolean` `equals​(java.lang.Object obj)`
`java.lang.String` `getClassName()`
`java.lang.String` `getDisplayString()`
`Image` `getImage()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContentAssistElement

    public ContentAssistElement​(java.lang.String className,
                                Image image)

#### ContentAssistElement

    public ContentAssistElement​(java.lang.String className,
                                Image image,
                                java.lang.String display)

### Method Detail

#### compareTo

    public int compareTo​(ContentAssistElement o)

Uses String compare method.

Specified by:
  `compareTo` in interface `java.lang.Comparable<ContentAssistElement>`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### getClassName

    public java.lang.String getClassName()

#### getDisplayString

    public java.lang.String getDisplayString()

#### getImage

    public Image getImage()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`